import { merge } from "lodash";
import { Playlist } from "../entities/Playlist.entity";
import { rand, randMusicGenre, randNumber, randParagraph } from "@ngneat/falso";
import { PlaylistType } from "../enums/PlaylistType.enum";

export function PlaylistFactory() {
    const create = (playlist: Playlist): Playlist => {
        const random: Playlist = {
            name: randMusicGenre(),
            description: randParagraph(),
            photo: `https://picsum.photos/100/100?randomData=${randNumber()}`,
            type: rand([PlaylistType.Album, PlaylistType.Artist, PlaylistType.Playlist, PlaylistType.Suggestion]),
            isAutoGenerated: rand([false, true])
        };
    
        return merge(playlist, random);
    }

    return {
        create
    };
}